TDataFilterPlugin< Image > Class Template Reference
Filtering and combining

Generic image filter plugin base. More...

`#include <mia/core/filter.hh>`

Inheritance diagram for TDataFilterPlugin< Image >:
[legend]
Collaboration diagram for TDataFilterPlugin< Image >:
[legend]

## Public Types

typedef TFactory< TDataFilter< Image > >::Product | Product
Public Types inherited from TFactory< TDataFilter< Image > >
typedef TDataFilter< Image > | Product
| typedef to describe the product of the factory
typedef std::shared_ptr< TDataFilter< Image > > | SharedProduct
| typedef for the shared version of the product
typedef std::unique_ptr< TDataFilter< Image > > | UniqueProduct
| typedef for the unique version of the product
Public Types inherited from TPlugin< TDataFilter< Image >::plugin_data, TDataFilter< Image >::plugin_type >
typedef TDataFilter< Image >::plugin_data | PlugData
| Typedef for the data type descriptor handled by this plug-in.
typedef TDataFilter< Image >::plugin_type | PlugType
| Typedef for the plugin type descriptor handled by this plug-in.

## Public Member Functions

| TDataFilterPlugin (char const *const name)
| Constructor that sets the plug-in name.
Public Member Functions inherited from TFactory< TDataFilter< Image > >
virtual Product * | create (const CParsedOptions &options, char const *params) __attribute__((warn_unused_result))
| TFactory (char const *const name)
Public Member Functions inherited from TPlugin< TDataFilter< Image >::plugin_data, TDataFilter< Image >::plugin_type >
virtual void | get_help (std::ostream &os) const
const std::string | get_long_name () const
| TPlugin (const char *name)
Public Member Functions inherited from CPluginBase
void | add_dependend_handlers (HandlerHelpMap &handler_map)
void | add_property (const char *property)
void | append_interface (CPluginBase *plugin)
| CPluginBase (const char *name)
PPluginModule | get_module () const
unsigned | get_priority () const
bool | has_property (const char *property) const
CPluginBase * | next_interface ()
void | set_module (const PPluginModule &module)
void | set_priority (unsigned p)
virtual | ~CPluginBase ()
Public Member Functions inherited from CParamTranslator
void | add_parameter (const std::string &name, CParameter *param)
void | check_parameters ()
| CParamTranslator (const char *name)
virtual void | do_get_help_xml (CXMLElement &root) const
const std::string | get_descr () const
void | get_help (std::ostream &os) const
void | get_help_xml (CXMLElement &root) const
const char * | get_name () const
void | get_short_help (std::ostream &os) const
void | set_parameters (const CParsedOptions &options)
virtual | ~CParamTranslator ()

## Additional Inherited Members

Static Public Member Functions inherited from TPlugin< TDataFilter< Image >::plugin_data, TDataFilter< Image >::plugin_type >
static const char * | get_data_path_part ()
static const char * | get_type_path_part ()
Protected Member Functions inherited from CParamTranslator
CParamList & | get_parameters ()

## Detailed Description

template<class Image>
class TDataFilterPlugin< Image >

Generic image filter plugin base.

This class provides the generic base class for image filter plug-ins.

Template Parameters

  Image | the image type for which the filters are defined.

Definition at line 185 of file core/filter.hh.

## Member Typedef Documentation

## Product

template<class Image>

typedef TFactory<TDataFilter<Image>>::Product TDataFilterPlugin< Image >::Product

Definition at line 188 of file core/filter.hh.

## Constructor & Destructor Documentation

## TDataFilterPlugin()

template<class Image>

TDataFilterPlugin< Image >::TDataFilterPlugin | ( | char const *const | name | ) |

inline

Constructor that sets the plug-in name.

Definition at line 190 of file core/filter.hh.

Referenced by TImageCombinerFilterPlugin< Image >::TImageCombinerFilterPlugin().

The documentation for this class was generated from the following file:

- core/filter.hh